package cn.gov.customs.wxjy.ibmmq.service;

import java.util.List;
import cn.gov.customs.cacp.sdks.core.user.trans.CacpTransUser;
import cn.gov.customs.wxjy.ibmmq.pojo.PushLog;
import cn.gov.customs.wxjy.ibmmq.pojo.PushLogQuery;
import com.github.pagehelper.PageInfo;

/**
 * 推送记录Service接口
 *
 * @author xiong
 * @date 2025-12-22
 */
public interface IPushLogService {
    /**
     * 查询推送记录
     *
     * @param logId 推送记录主键
     * @return 推送记录
     */
    public PushLog selectByLogId(String logId);

    /**
     * 分页查询推送记录列表
     *
     * @param query
     * @return 推送记录集合
     */
    public PageInfo<PushLog> selectPageList(PushLogQuery query);

    /**
     * 查询推送记录列表
     *
     * @param query
     * @return 推送记录集合
     */
    public List<PushLog> selectList(PushLogQuery query);

    /**
     * 新增推送记录
     *
     * @param pushLog 推送记录
     * @return 结果
     */
    public int insert(PushLog pushLog);

    /**
     * 修改推送记录
     *
     * @param pushLog 推送记录
     * @return 结果
     */
    public int update(PushLog pushLog);

    /**
     * 批量删除推送记录
     *
     * @param ids 需要删除的ids主键集合
     * @return 结果
     */
    public int deleteByLogIds(String[] ids);

    /**
     * 删除推送记录信息
     *
     * @param logId 推送记录主键
     * @return 结果
     */
    public int deleteByLogId(String logId);

    /**
     * 逻辑删除推送记录信息
     *
     * @param logId 推送记录主键
     * @return 结果
     */
    public int logicDelete(String logId);

    /**
     * 导入推送记录数据
     *
     * @param pushLogList 推送记录数据列表
     * @param isUpdateSupport 是否更新支持，如果已存在，则进行更新数据
     * @param cacpTransUser 操作用户
     * @return 结果
     */
    public String importPushLog(List<PushLog> pushLogList, Boolean isUpdateSupport, CacpTransUser cacpTransUser);
}
